Satellite Image Tiles API

The Maps Raster Satellite Tile API delivers satellite map data in square, gridded sections known as tiles, each measuring 256 x 256 pixels. These tiles are available across 20 distinct zoom levels, from 0 to 19. At zoom level 0, the entire Earth is displayed on a single tile, whereas at zoom level 19, the world is divided into 238 tiles.

To get the Satellite tiles use the following endpoint:

GET

https://api.nextbillion.io/tt/map/{versionNumber}/tile/{layer}/{style}/{z}/{x}/{y}.{format}?key={Your_API_Key}

Path Parameters

NameRequiredFormat & UsageDescription
version_numberYesType: integer

Allowed Values: 1
Specify the version of the API service to be called. Current value is 1.
layerYesType: string

Allowed Values: sat
Layer of the tile to be rendered.
styleYesType: string

Allowed Values: main
Style of the tile to be rendered.
zYesType: integer

Minimum Value: 0 Maximum Value: 19
Zoom level of the tile to be rendered. The values should be in the range of [0,19].
xYesType: integer

Maximum Value: 2z-1
Specify the x-coordinate of the tile or the tile’s column on the zoom grid z. The maximum value should be less than 2z.
yYesType: integer

Maximum Value: 2z-1
Specify the y-coordinate of the tile or the tile’s row on the zoom grid z. The maximum value should be less than 2z.
formatYesType: string

Allowed Values: jpg
The format of the response.

Request Parameters

NameRequiredFormat & UsageDescription
keyYesType: string

Format: 32 character alphanumeric string Example: key=API_KEY
A key is a unique identifier that is required to authenticate a request to the API.

Sample Request

1
curl --location 'https://api.nextbillion.io/tt/map/1/tile/sat/main/12/2929/1898.jpg?key=your_api_key'

API Query Limits

  • NextBillion.ai allows a maximum rate limit of 6000 queries per minute or 100 queries/second for continuous requests.
    Note: We can increase the quota if needed, on request. Contact support@nextbillion.ai for more details.

API Error Codes

Response codeDescriptionAdditional notes
200Normal success case.Normal success case.
400Input validation failed.There is a missing or an invalid parameter or a parameter with an invalid value type is added to the request.
401APIKEY not supplied or invalidThis error occurs when the wrong API key is passed in the request or the key is missing altogether.
403APIKEY is valid but does not have access to requested resourcesYou might be querying for a geographical region which is not valid for your account or requesting a service which is not enabled for you.
404Requested host/path not foundThis error occurs when a malformed hostname is used.
422Could not process the requestA feasible solution could not be generated for the given set of locations or parameter configuration.
429Too many requestsQPM reached or API request count quota reached.
500Internal Service error.There was an internal issue with NextBillion.ai services. You can reach out to support@nextbillion.ai for an explanation.